import { IHeaders, IAddress } from './interfaces';
export declare class Message {
    static readonly HEADERS: string[];
    private _headers;
    private _recipients;
    private _sender;
    private _body;
    readonly headers: IHeaders;
    readonly recipients: IAddress[];
    readonly sender: IAddress;
    body: string;
    Body(body: string): this;
    constructor(headers: IHeaders);
    private update();
    private formatHeader(name, value);
    toString(): string;
}
